Package Details: keeweb-desktop-bin 1.18.7-1

Git Clone URL: https://aur.archlinux.org/keeweb-desktop-bin.git (read-only, click to copy)
Package Base: keeweb-desktop-bin
Description: Free cross-platform password manager compatible with KeePass
Upstream URL: https://github.com/keeweb/keeweb
Keywords: keepass keewb manager password
Licenses: MIT
Conflicts: keeweb, keeweb-bin, keeweb-desktop, keeweb-git
Provides: keeweb
Submitter: jonian
Maintainer: jonian
Last Packager: jonian
Votes: 56
Popularity: 0.000045
First Submitted: 2017-10-04 22:59 (UTC)
Last Updated: 2021-07-20 10:51 (UTC)

Dependencies (5)

Required by (0)

Sources (1)

Latest Comments

1 2 3 4 Next › Last »

2goats commented on 2022-11-22 04:46 (UTC)

The maintainer appears to have abandoned the project. The fix for the Electron bug https://github.com/keeweb/keeweb/pull/2052 has been open for 2 months now. Disabling sandboxing on a password app is untenable, so I am wondering if anyone has plans to take over the project and push their own package, with the fix?

Closey commented on 2022-09-17 12:20 (UTC)

@GrantMoyer Ah yes, that's fixed it. Thanks!

GrantMoyer commented on 2022-09-17 12:18 (UTC) (edited on 2022-09-17 12:18 (UTC) by GrantMoyer)

@Closey It's probably related to electron issue #31458. Many electron apps with the same issue say you can work around this by calling keeweb with --disable-gpu-sandbox, which works in my case.

Closey commented on 2022-09-17 11:49 (UTC)

I'm getting a new error preventing launch.

[5340:0917/124203.471613:FATAL:gpu_data_manager_impl_private.cc(415)] GPU process isn't usable. Goodbye.
/usr/bin/keeweb: line 2:  5340 Trace/breakpoint trap   (core dumped) /usr/share/keeweb-desktop/keeweb "$@"

Any ideas? There's been no update so I'm confused what's changed.

hzu commented on 2021-10-20 04:13 (UTC)

I don't think gconf is needed for this build. It is listed as a dependency in the .deb file from which I assume the maintainer got the dependencies list from. I've tried without it and KeeWeb worked just fine.

As a side note, I also did not have libappindicator-gtk2 installed and removed it from the PKGBUILD. The program is working fine as well. AFAIK, you don't need it if you're not using Unity or KDE. Correct me if I'm wrong, maybe it's needed for notifications or having the app in the systray? I don't have systray in GNOME 41 as far as I can tell.

thesmiley1 commented on 2021-06-26 05:46 (UTC)

Is gconf definitely required for this? A pinned comment on the gconf AUR page suggests that may not be the case anymore.

https://aur.archlinux.org/packages/gconf/#pinned-723510

agostonbarna commented on 2020-04-04 09:33 (UTC)

With version v1.13.0 the deb is not longer installed to /opt, but to /usr/share https://github.com/keeweb/keeweb/issues/890.

fthiery commented on 2019-07-10 09:48 (UTC)

Thanks for the suggestion, added.

GrantMoyer commented on 2019-07-09 18:07 (UTC)

This should have an optdepends 'xdotool: for Auto-type feature'.

draxx commented on 2019-03-22 20:44 (UTC)

Hello,

Thanks to fthiery because this version worked well with dropbox location ! :)